# Generated from azure-multistorage-0.6.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name azure-multistorage

Name: rubygem-%{gem_name}
Version: 0.6.4
Release: 1%{?dist}
Summary: Official ruby client library to consume Windows Azure services
License: Apache License, Version 2.0
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(minitest) >= 3.0
# BuildRequires: rubygem(minitest) < 4
# BuildRequires: rubygem(mocha) >= 1.0
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(turn) >= 0.9
# BuildRequires: rubygem(turn) < 1
BuildArch: noarch

%description
Windows Azure Client Library for Ruby with multistorage account support.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog.txt
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/azure.gemspec
%{gem_instdir}/test

%changelog
* Sun Sep 12 2021 mockbuilder - 0.6.4-1
- Initial package
